IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FNMDL_OPAKILAC]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].FNMDL_OPAKILAC
GO

create FUNCTION [dbo].[FNMDL_OPAKILAC](@HDOSYAID INTEGER,@MDLTEDAVITURU NVARCHAR(1))
RETURNS TABLE AS
RETURN

SELECT   CASE WHEN Adet>0 THEN 1  end Kontrol,'Opak İlaç Kontrol' KontrolAdi,
'Fiyat Listesinde Opak İlaç seçilmiş ve dosya içerinde fiyat 0 dönmüş olanlar' Aciklama FROM
(
	
  SELECT COUNT(*) ADET /*MDLKRMTUTAR,MDLKAYDET,KRMTUTAR,ITEMID,HDOSYAID,HESAPISLID*/ FROM  HESAPISL 
       WHERE   IPTAL=0 AND  MDLKRMTUTAR=0 
	         AND EXISTS(SELECT ITEMID FROM TITEM WHERE OPAK=1 AND HESAPISL.ITEMID=TITEM.ITEMID)
			 AND HDOSYAID=@HDOSYAID --AND  MDLTEDAVITURU=@MDLTEDAVITURU 
	) AS T  

GO








